import QtQuick
import QtQuick.Controls

Button {
    id: arrowButton
    width: 32
    height: 28
    property alias arrowIcon: arrowIcon
    background: Item {}

    Rectangle {
        id: background1
        color: arrowButton.down ? "#222222" : "#767676"
        radius: 8
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
    }

    Rectangle {
        id: arrowBg
        width: 28
        height: 24
        color: arrowButton.down ? "#BF360C" : "#222222"
        radius: 6
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.leftMargin: 2
        anchors.topMargin: 2
    }

    Image {
        id: arrowIcon
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.leftMargin: 11
        anchors.topMargin: 12
        source: "assets/arrowIcon.png"
    }
}

/*##^##
Designer {
    D{i:0;uuid:"1f53185c-6f5e-5496-9ab6-b738dc9ed523"}D{i:1;uuid:"dded242d-582c-5e14-9328-451a8b5128a8"}
D{i:2;uuid:"4492b229-09ab-51ea-93df-3a04ca5916c6"}D{i:3;uuid:"ebe81c0c-1090-56ef-8416-8b47f19b96d7"}
}
##^##*/

