import QtQuick
import QtQuick.Controls
import Generated.DesignSystem

Rectangle {
    id: backgroundItems
    width: 800
    height: 480
    color: "transparent"
    property alias bg: bg
    property alias navBar: navBar
    property alias btnBg: btnBg

    Rectangle {
        id: bg
        width: 800
        height: 416
        color: Colors.currentTheme.background
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.topMargin: 64
    }

    Rectangle {
        id: navBar
        width: 800
        height: 63
        color: Colors.currentTheme.navBarBase
        anchors.left: parent.left
        anchors.top: parent.top
    }

    Rectangle {
        id: btnBg
        width: 744
        height: 88
        color: Colors.currentTheme.buttonBarBg
        radius: 8
        anchors.top: parent.top
        anchors.topMargin: 364
        anchors.horizontalCenter: parent.horizontalCenter
    }

    Image {
        id: backgroundItems_merged
        x: 0
        y: 21
        source: "assets/backgroundItems_merged.png"
    }
}

/*##^##
Designer {
    D{i:0;uuid:"9e2b0250-812a-5452-ab0f-fb7c56e190bc"}D{i:1;uuid:"ce284284-23ae-5574-b534-dedc4ff33dc0"}
D{i:2;uuid:"f81f9ba9-8221-58ec-80ed-0a6802c67999"}D{i:3;uuid:"efe27154-617a-575d-9b03-cf617415dcf0"}
D{i:4;uuid:"7054033c-5a3b-545f-ad00-7e3f5777f62c"}
}
##^##*/

